import { ReactNode } from "react";
import { useRouter } from "next/router";
import { useEffect } from "react";
import Header from "./Header/Header";

type AuthenticatedLayoutProps = {
	children: ReactNode;
};

export default function AuthenticatedLayout({
	children,
}: AuthenticatedLayoutProps) {
	const router = useRouter();

	useEffect(() => {
		// Beispiel zur Überprüfung der Authentifizierung; ersetze dies mit deiner Authentifizierungslogik
		const isAuthenticated = true; // Hier eine echte Überprüfung einfügen
		if (!isAuthenticated) {
			router.push("/login");
		}
	}, [router]);

	return (
		<div className="min-h-screen flex flex-col bg-slate-100 dark:bg-slate-900">
			<Header />
			<main className="flex-grow p-4">{children}</main>
		</div>
	);
}
